

A couple of new PCI IDs which were found in 3com's driver by Xose Vazquez
Perez <xose@wanadoo.es>.

We don't know if these work, but if they are really 905B's and 920's it
should be OK.


 drivers/net/3c59x.c |   12 ++++++++++++
 drivers/pci/pci.ids |    1 +
 2 files changed, 13 insertions(+)

diff -puN drivers/net/3c59x.c~3c59x-id drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~3c59x-id	2003-05-16 01:28:17.000000000 -0700
+++ 25-akpm/drivers/net/3c59x.c	2003-05-16 01:30:12.000000000 -0700
@@ -466,6 +466,9 @@ enum vortex_chips {
 	CH_3C920,
 	CH_3C982A,
 	CH_3C982B,
+
+	CH_905BT4,
+	CH_920B_EMB_WNM,
 };
 
 
@@ -565,6 +568,11 @@ static struct vortex_chip_info {
 	{"3c982 Hydra Dual Port B",
 	 PCI_USES_IO|PCI_USES_MASTER, IS_TORNADO|HAS_HWCKSM|HAS_NWAY, 128, },
 
+	{"3c905B-T4",
+	 PCI_USES_IO|PCI_USES_MASTER, IS_CYCLONE|HAS_NWAY|HAS_HWCKSM|EXTRA_PREAMBLE, 128, },
+	{"3c920B-EMB-WNM Tornado",
+	 PCI_USES_IO|PCI_USES_MASTER, IS_TORNADO|HAS_NWAY|HAS_HWCKSM, 128, },
+
 	{0,}, /* 0 terminated list. */
 };
 
@@ -611,6 +619,10 @@ static struct pci_device_id vortex_pci_t
 	{ 0x10B7, 0x9201, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_3C920 },
 	{ 0x10B7, 0x1201, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_3C982A },
 	{ 0x10B7, 0x1202, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_3C982B },
+
+	{ 0x10B7, 0x9056, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_905BT4 },
+	{ 0x10B7, 0x9210, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_920B_EMB_WNM },
+
 	{0,}						/* 0 terminated list. */
 };
 MODULE_DEVICE_TABLE(pci, vortex_pci_tbl);
diff -puN drivers/pci/pci.ids~3c59x-id drivers/pci/pci.ids
--- 25/drivers/pci/pci.ids~3c59x-id	2003-05-16 01:31:42.000000000 -0700
+++ 25-akpm/drivers/pci/pci.ids	2003-05-16 01:32:24.000000000 -0700
@@ -2264,6 +2264,7 @@
 		1028 0095  Integrated 3C905C-TX Fast Etherlink for PC Management NIC
 		10b7 1000  3C905C-TX Fast Etherlink for PC Management NIC
 		10b7 7000  10/100 Mini PCI Ethernet Adapter
+	9210  3C920B-EMB-WNM Integrated Fast Ethernet Controller
 	9300  3CSOHO100B-TX  [910-A01]
 	9800  3c980-TX [Fast Etherlink XL Server Adapter]
 		10b7 9800  3c980-TX Fast Etherlink XL Server Adapter

_
